Subject: Re: [PATCH net-next] net/core: Enable socket busy polling on -RT

From: Kurt Kanzenbach <[email-masked]>
Date: Wed, 08 Nov 2023 08:41:34 +0100

Hi Florian,

On Mon Oct 30 2023, Florian Bezdeka wrote:
>> > > Allow RX_BUSY_POLL on PREEMPT_RT if NETPOLL is disabled. Don't disable
>> > > preemption on PREEMPT_RT within the busy poll loop.
>
> Sorry, I need one more information here: We try to re-use the kernel
> and its configuration from Debian whenever possible. NETPOLL/NETCONSOLE
> is build as module there.
>
> Will this limitation be addressed in the future? Is someone already
> working on that? Is that maybe on the radar for the ongoing printk()
> work? (Assuming printk() with NETCONSOLE enabled is the underlying
> problem)
>
> We don't use NETPOLL/NETCONSOLE during runtime but it is enabled at
> build time. Sadly we can not use busy polling mode in combination with
> XDP now. (Ignoring the fact that we could adjust the kernel
> configuration, build on our own, ...)
>
> Would love to hear your thoughts about that. Thanks a lot!

Yes, the busy polling conflicts with netpoll due to the locking. At the
moment you have to disable it in the kernel configuration and
re-compile. I don't think anyone is working on solving this limitation
yet.

Thanks,
Kurt